"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.AnchorVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _url = require("../../../core/utils/url");

var _elementLocator = require("../../../core/utils/elementLocator");

var _Anchor = _interopRequireDefault(require("./Anchor.style"));

var Anchor = function Anchor(_ref) {
  var children = _ref.children,
      to = _ref.to,
      as = _ref.as,
      className = _ref.className,
      elementLocator = _ref.elementLocator,
      inheritedStyles = _ref.inheritedStyles,
      handleLinkClick = _ref.handleLinkClick,
      shallow = _ref.shallow,
      scroll = _ref.scroll,
      forceClick = _ref.forceClick,
      target = _ref.target,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["children", "to", "as", "className", "elementLocator", "inheritedStyles", "handleLinkClick", "shallow", "scroll", "forceClick", "target"]);
  return _react.default.createElement("a", (0, _extends2.default)({
    href: (0, _url.buildUrl)(to),
    className: className,
    onClick: handleLinkClick,
    target: target,
    "data-locator": elementLocator || "link-" + (0, _elementLocator.getLabelFromChildren)(children)
  }, others), children);
};

exports.AnchorVanilla = Anchor;
Anchor.defaultProps = {
  as: '',
  inheritedStyles: '',
  shallow: false,
  scroll: false,
  forceClick: false,
  className: '',
  elementLocator: '',
  target: '',
  handleLinkClick: function handleLinkClick() {}
};

var _default = (0, _styledComponents.default)(Anchor).withConfig({
  displayName: "Anchor",
  componentId: "sc-1xnvnyd-0"
})(["", ";"], _Anchor.default);

exports.default = _default;