"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.ButtonVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _elementLocator = require("../../../core/utils/elementLocator");

var _Button = _interopRequireDefault(require("./Button.style"));

var Button = function Button(_ref) {
  var className = _ref.className,
      children = _ref.children,
      inheritedStyles = _ref.inheritedStyles,
      type = _ref.type,
      primary = _ref.primary,
      secondary = _ref.secondary,
      disabled = _ref.disabled,
      ariaLabel = _ref.ariaLabel,
      elementLocator = _ref.elementLocator,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["className", "children", "inheritedStyles", "type", "primary", "secondary", "disabled", "ariaLabel", "elementLocator"]);
  return _react.default.createElement("button", (0, _extends2.default)({
    "aria-label": ariaLabel || null,
    className: className,
    disabled: disabled,
    type: type,
    "data-locator": elementLocator || "button-" + type + "-" + (0, _elementLocator.getLabelFromChildren)(children)
  }, others), children);
};

exports.ButtonVanilla = Button;
Button.defaultProps = {
  inheritedStyles: '',
  type: 'button',
  primary: false,
  secondary: false,
  disabled: false,
  ariaLabel: '',
  className: '',
  elementLocator: ''
};

var _default = (0, _styledComponents.default)(Button).withConfig({
  displayName: "Button",
  componentId: "sc-1ccn477-0"
})(["", ";"], _Button.default);

exports.default = _default;