"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.FieldErrorVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Para = _interopRequireDefault(require("../Para"));

var _elementLocator = require("../../../core/utils/elementLocator");

var _FieldError = _interopRequireDefault(require("./FieldError.style"));

var FieldError = function FieldError(_ref) {
  var className = _ref.className,
      children = _ref.children,
      dataSlnmId = _ref.dataSlnmId,
      inheritedStyles = _ref.inheritedStyles,
      elementLocator = _ref.elementLocator,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["className", "children", "dataSlnmId", "inheritedStyles", "elementLocator"]);
  return _react.default.createElement(_Para.default, (0, _extends2.default)({
    className: className,
    "aria-live": "assertive",
    role: "alert",
    "data-slnm-id": dataSlnmId ? dataSlnmId + "-error" : '',
    "data-locator": elementLocator || "field-error-" + (0, _elementLocator.getLabelFromChildren)(children)
  }, others), children);
};

exports.FieldErrorVanilla = FieldError;
FieldError.defaultProps = {
  dataSlnmId: '',
  inheritedStyles: '',
  className: '',
  elementLocator: ''
};

var _default = (0, _styledComponents.default)(FieldError).withConfig({
  displayName: "FieldError",
  componentId: "sc-1b3h259-0"
})(["", ";"], _FieldError.default);

exports.default = _default;