"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _FieldError = require("../FieldError");

describe('FieldError Component', function () {
  var fieldErrorComponent = '';
  beforeEach(function () {
    fieldErrorComponent = (0, _enzyme.shallow)(_react.default.createElement(_FieldError.FieldErrorVanilla, null, "Some Error Occurred"));
  });
  test('should render correctly', function () {
    expect(fieldErrorComponent).toMatchSnapshot();
  });
  test('should check the element locator of field error', function () {
    var sampleProps = {
      elementLocator: 'my-custom-field-error-locator'
    };
    var fieldError = (0, _enzyme.render)(_react.default.createElement(_FieldError.FieldErrorVanilla, sampleProps));
    expect(fieldError.attr('data-locator')).toEqual(sampleProps.elementLocator);
  });
  test('should check the default slnid of field error', function () {
    var props = {
      dataSlnmId: 'slnid'
    };
    var customLocator = 'slnid-error';
    var fieldError = (0, _enzyme.render)(_react.default.createElement(_FieldError.FieldErrorVanilla, props));
    expect(fieldError.attr('data-slnm-id')).toEqual(customLocator);
  });
});