"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.HeadingVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _elementLocator = require("../../../core/utils/elementLocator");

var _Heading = _interopRequireDefault(require("./Heading.style"));

var Heading = function Heading(_ref) {
  var children = _ref.children,
      className = _ref.className,
      _ref$HeadingType = _ref.HeadingType,
      HeadingType = _ref$HeadingType === void 0 ? 'h1' : _ref$HeadingType,
      inheritedStyles = _ref.inheritedStyles,
      elementLocator = _ref.elementLocator,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["children", "className", "HeadingType", "inheritedStyles", "elementLocator"]);
  return _react.default.createElement(HeadingType, (0, _extends2.default)({
    className: className,
    "data-locator": elementLocator || "heading-" + HeadingType + "-" + (0, _elementLocator.getLabelFromChildren)(children)
  }, others), children);
};

exports.HeadingVanilla = Heading;
Heading.defaultProps = {
  inheritedStyles: '',
  HeadingType: 'h1',
  elementLocator: ''
};

var _default = (0, _styledComponents.default)(Heading).withConfig({
  displayName: "Heading",
  componentId: "sc-1p0x9xg-0"
})(["", ";"], _Heading.default);

exports.default = _default;