"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = require("..");

var props = {
  children: 'Sample',
  className: ''
};
describe('Heading Component', function () {
  var heading;
  test('should render correctly and match snapshot', function () {
    heading = (0, _enzyme.shallow)(_react.default.createElement(_.HeadingVanilla, props));
    expect(heading).toMatchSnapshot();
  });
  test('should check the custom locator of heading', function () {
    var sampleProps = {
      elementLocator: 'my-custom-heading-locator'
    };
    heading = (0, _enzyme.render)(_react.default.createElement(_.HeadingVanilla, sampleProps));
    expect(heading.attr('data-locator')).toEqual(sampleProps.elementLocator);
  });
  test('should check the default locator of heading', function () {
    var sampleProps = {
      HeaderType: 'h1'
    };
    var customLocator = 'heading-h1-my-heading';
    heading = (0, _enzyme.render)(_react.default.createElement(_.HeadingVanilla, sampleProps, "my heading"));
    expect(heading.attr('data-locator')).toEqual(customLocator);
  });
});