"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _Image = _interopRequireWildcard(require("./Image.mock"));

var _ = _interopRequireWildcard(require("."));

// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Atoms', module).addParameters({
  jest: ['Image']
}).addWithChapters('Image', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.ImageVanilla, (0, _extends2.default)({}, _Image.default, {
          className: "hide-default-sample"
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Responsive Image Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Image.default);
      }
    }, {
      title: 'Image with custom element locator',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Image.customImageLocator);
      }
    }]
  }, {
    title: 'Lazy loaded Image Variations',
    sections: [{
      title: 'Default lazy loaded',
      sectionFn: function sectionFn() {
        return _react.default.createElement("p", {
          style: {
            height: '500px',
            color: 'blue'
          }
        }, "Scroll Down to lazy load image");
      }
    }, {
      title: 'This image will lazy load, check in network tab of chrome dev tools',
      info: 'Note: this only works in Chrome so far, check for updates here https://caniuse.com/#search=loading',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Image.lazyLoadedImage);
      }
    }]
  }]
});