"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _Select = require("../Select");

describe('Select Component', function () {
  var input = '';
  var props = {
    id: 'dropdown-1',
    name: 'my-drop',
    elementLocator: 'my-custom-select-locator',
    onChange: function onChange() {}
  };
  test('should render correctly', function () {
    input = (0, _enzyme.shallow)(_react.default.createElement(_Select.SelectVanilla, (0, _extends2.default)({
      options: ['Option 1', 'Option 2']
    }, props)));
    expect(input).toMatchSnapshot();
  });
  test('should check the data attribute of dropdown/select', function () {
    var select = (0, _enzyme.render)(_react.default.createElement(_Select.SelectVanilla, (0, _extends2.default)({
      options: ['Option 1', 'Option 2']
    }, props)));
    expect(select.attr('data-locator')).toEqual("" + props.elementLocator);
  });
});