"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.ArticleThumbnailVanilla = exports.default = void 0;

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _ArticleThumbnail = _interopRequireDefault(require("./ArticleThumbnail.style"));

var _Image = _interopRequireDefault(require("../../atoms/Image/Image"));

var _Anchor = _interopRequireDefault(require("../../atoms/Anchor"));

/**
 *
 * ArticleThumbnail
 *
 */
var getAnchoredChild = function getAnchoredChild(anchorProps, children) {
  return _react.default.createElement(_Anchor.default, anchorProps, children);
};

var ArticleThumbnail = function ArticleThumbnail(_ref) {
  var image = _ref.image,
      readMoreContent = _ref.readMoreContent,
      children = _ref.children,
      anchorProps = _ref.anchorProps,
      otherProps = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["image", "readMoreContent", "children", "anchorProps"]);

  var thumbImage = _react.default.createElement(_Image.default, image);

  if (readMoreContent && anchorProps) {
    thumbImage = getAnchoredChild(anchorProps, thumbImage);
  }

  if (readMoreContent) {
    var readMoreLink = getAnchoredChild(anchorProps, readMoreContent);
    return _react.default.createElement("div", {
      className: otherProps.className
    }, [thumbImage, children, readMoreLink]);
  }

  return _react.default.createElement("div", {
    className: otherProps.className
  }, getAnchoredChild(anchorProps, [thumbImage, children]));
};

exports.ArticleThumbnailVanilla = ArticleThumbnail;
ArticleThumbnail.defaultProps = {
  image: {}
};

var _default = (0, _styledComponents.default)(ArticleThumbnail).withConfig({
  displayName: "ArticleThumbnail",
  componentId: "sc-1pvkf9f-0"
})(["", ";"], _ArticleThumbnail.default);

exports.default = _default;