import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react';
import { defaultAnchor, secondaryAnchor, customLocatorOnAnchor, openInNewTabAnchor } from './Anchor.mock';
import Anchor, { AnchorVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Atoms', module).addParameters({
  jest: ['Anchor']
}).addWithChapters('Anchor', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(AnchorVanilla, _extends({}, defaultAnchor, {
          className: "hide-default-sample " + defaultAnchor.className
        }), "Home");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Anchor Variations',
    sections: [{
      title: 'Default Link',
      sectionFn: function sectionFn() {
        return React.createElement(Anchor, defaultAnchor, "Click Here");
      }
    }, {
      title: 'Secondary Link',
      sectionFn: function sectionFn() {
        return React.createElement(Anchor, secondaryAnchor, "Click Here");
      }
    }, {
      title: 'Open Link in new Tab',
      sectionFn: function sectionFn() {
        return React.createElement(Anchor, openInNewTabAnchor, "Click Here");
      }
    }, {
      title: 'Link with custom element locator',
      sectionFn: function sectionFn() {
        return React.createElement(Anchor, customLocatorOnAnchor, "Click Here");
      }
    }]
  }]
});