import React from 'react';
import { shallow, render } from 'enzyme';
import { AnchorVanilla } from '../Anchor';
describe('Anchor Component', function () {
  var anchor;
  test('should render correctly and match snapshot', function () {
    anchor = shallow(React.createElement(AnchorVanilla, {
      to: "/sample"
    }, "Sample"));
    expect(anchor).toMatchSnapshot();
  });
  test('Should handle on typeahead focuson Events', function () {
    var props = {
      noLink: true,
      to: '/sample',
      handleLinkClick: jest.fn()
    };
    var event = {
      preventDefault: jest.fn()
    };
    anchor = shallow(React.createElement(AnchorVanilla, props, "Sample"));
    anchor.find('a').simulate('click', event);
    expect(props.handleLinkClick).toHaveBeenCalled();
  });
  test('should check the data attribute of anchor', function () {
    var sampleProps = {
      elementLocator: 'my-custom-anchor-locator'
    };
    var anchorVanilla = render(React.createElement(AnchorVanilla, sampleProps));
    expect(anchorVanilla.attr('data-locator')).toEqual(sampleProps.elementLocator);
  });
});