import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import { getLabelFromChildren } from '../../../core/utils/elementLocator';
import styles from './Button.style';

var Button = function Button(_ref) {
  var className = _ref.className,
      children = _ref.children,
      inheritedStyles = _ref.inheritedStyles,
      type = _ref.type,
      primary = _ref.primary,
      secondary = _ref.secondary,
      disabled = _ref.disabled,
      ariaLabel = _ref.ariaLabel,
      elementLocator = _ref.elementLocator,
      others = _objectWithoutPropertiesLoose(_ref, ["className", "children", "inheritedStyles", "type", "primary", "secondary", "disabled", "ariaLabel", "elementLocator"]);

  return React.createElement("button", _extends({
    "aria-label": ariaLabel || null,
    className: className,
    disabled: disabled,
    type: type,
    "data-locator": elementLocator || "button-" + type + "-" + getLabelFromChildren(children)
  }, others), children);
};

Button.defaultProps = {
  inheritedStyles: '',
  type: 'button',
  primary: false,
  secondary: false,
  disabled: false,
  ariaLabel: '',
  className: '',
  elementLocator: ''
};
export default styled(Button).withConfig({
  displayName: "Button",
  componentId: "sc-1ccn477-0"
})(["", ";"], styles);
export { Button as ButtonVanilla };