import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import Para from '../Para';
import { getLabelFromChildren } from '../../../core/utils/elementLocator';
import styles from './FieldError.style';

var FieldError = function FieldError(_ref) {
  var className = _ref.className,
      children = _ref.children,
      dataSlnmId = _ref.dataSlnmId,
      inheritedStyles = _ref.inheritedStyles,
      elementLocator = _ref.elementLocator,
      others = _objectWithoutPropertiesLoose(_ref, ["className", "children", "dataSlnmId", "inheritedStyles", "elementLocator"]);

  return React.createElement(Para, _extends({
    className: className,
    "aria-live": "assertive",
    role: "alert",
    "data-slnm-id": dataSlnmId ? dataSlnmId + "-error" : '',
    "data-locator": elementLocator || "field-error-" + getLabelFromChildren(children)
  }, others), children);
};

FieldError.defaultProps = {
  dataSlnmId: '',
  inheritedStyles: '',
  className: '',
  elementLocator: ''
};
export default styled(FieldError).withConfig({
  displayName: "FieldError",
  componentId: "sc-1b3h259-0"
})(["", ";"], styles);
export { FieldError as FieldErrorVanilla };