import React from 'react';
import { shallow, render } from 'enzyme';
import { FieldErrorVanilla } from '../FieldError';
describe('FieldError Component', function () {
  var fieldErrorComponent = '';
  beforeEach(function () {
    fieldErrorComponent = shallow(React.createElement(FieldErrorVanilla, null, "Some Error Occurred"));
  });
  test('should render correctly', function () {
    expect(fieldErrorComponent).toMatchSnapshot();
  });
  test('should check the element locator of field error', function () {
    var sampleProps = {
      elementLocator: 'my-custom-field-error-locator'
    };
    var fieldError = render(React.createElement(FieldErrorVanilla, sampleProps));
    expect(fieldError.attr('data-locator')).toEqual(sampleProps.elementLocator);
  });
  test('should check the default slnid of field error', function () {
    var props = {
      dataSlnmId: 'slnid'
    };
    var customLocator = 'slnid-error';
    var fieldError = render(React.createElement(FieldErrorVanilla, props));
    expect(fieldError.attr('data-slnm-id')).toEqual(customLocator);
  });
});