import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react';
import { mainHeading, headingWithCustomLocator } from './Heading.mock';
import Heading, { HeadingVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Atoms', module).addParameters({
  jest: ['Heading']
}).addWithChapters('Heading', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(HeadingVanilla, _extends({}, mainHeading, {
          className: "hide-default-sample"
        }), "This is Heading text");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Headings',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return React.createElement(Heading, mainHeading, "This is Heading text");
      }
    }, {
      title: 'Heading with custom element locator',
      sectionFn: function sectionFn() {
        return React.createElement(Heading, headingWithCustomLocator, "This is Heading with custom locator");
      }
    }]
  }]
});