import React from 'react';
import { shallow, render } from 'enzyme';
import { HeadingVanilla } from '..';
var props = {
  children: 'Sample',
  className: ''
};
describe('Heading Component', function () {
  var heading;
  test('should render correctly and match snapshot', function () {
    heading = shallow(React.createElement(HeadingVanilla, props));
    expect(heading).toMatchSnapshot();
  });
  test('should check the custom locator of heading', function () {
    var sampleProps = {
      elementLocator: 'my-custom-heading-locator'
    };
    heading = render(React.createElement(HeadingVanilla, sampleProps));
    expect(heading.attr('data-locator')).toEqual(sampleProps.elementLocator);
  });
  test('should check the default locator of heading', function () {
    var sampleProps = {
      HeaderType: 'h1'
    };
    var customLocator = 'heading-h1-my-heading';
    heading = render(React.createElement(HeadingVanilla, sampleProps, "my heading"));
    expect(heading.attr('data-locator')).toEqual(customLocator);
  });
});