import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import { getLabelFromChildren } from '../../../core/utils/elementLocator';
import styles from './Image.style';

var Image = function Image(_ref) {
  var className = _ref.className,
      src = _ref.src,
      srcset = _ref.srcset,
      sizes = _ref.sizes,
      placeholderSrc = _ref.placeholderSrc,
      alt = _ref.alt,
      inheritedStyles = _ref.inheritedStyles,
      ref = _ref.ref,
      elementLocator = _ref.elementLocator,
      loading = _ref.loading,
      other = _objectWithoutPropertiesLoose(_ref, ["className", "src", "srcset", "sizes", "placeholderSrc", "alt", "inheritedStyles", "ref", "elementLocator", "loading"]);

  return React.createElement("img", _extends({
    className: className,
    src: src,
    srcSet: srcset || null,
    sizes: sizes || null,
    alt: alt,
    ref: ref,
    loading: loading,
    "data-locator": elementLocator || "image-" + getLabelFromChildren(alt)
  }, other, {
    onError: placeholderSrc ? function (event) {
      // eslint-disable-next-line no-param-reassign
      event.target.src = placeholderSrc;
    } : null
  }));
};

Image.defaultProps = {
  srcset: '',
  sizes: '',
  placeholderSrc: '',
  inheritedStyles: '',
  loading: 'auto',
  elementLocator: ''
};
export default styled(Image).withConfig({
  displayName: "Image",
  componentId: "sc-1m0q2wx-0"
})(["", ";"], styles);
export { Image as ImageVanilla };