import React from 'react';
import { shallow } from 'enzyme';
import 'jest-styled-components';
import Image from '../Image';
import { lazyLoadedImage } from '../Image.mock';
describe('Image Component with styles', function () {
  var sampleProps = {
    src: 'http://abc.com',
    placeholderSrc: 'http://xyz.com',
    alt: 'ABC'
  };
  test('should render correctly and match snapshots', function () {
    var image = shallow(React.createElement(Image, sampleProps));
    expect(image).toMatchSnapshot();
  });
  test('should render correctly with lazy load', function () {
    var image = shallow(React.createElement(Image, lazyLoadedImage));
    expect(image).toMatchSnapshot();
  });
});