import React from 'react';
import { shallow, render } from 'enzyme';
import { InputVanilla } from '../Input';
describe('Input Component', function () {
  var input = '';
  var sampleProps = {
    elementLocator: 'my-input-field',
    name: 'my-input',
    value: 'abc',
    onChange: function onChange() {}
  };
  test('should render correctly', function () {
    input = shallow(React.createElement(InputVanilla, sampleProps));
    expect(input).toMatchSnapshot();
  });
  test('should check the data attribute of input', function () {
    var inputVanilla = render(React.createElement(InputVanilla, sampleProps));
    expect(inputVanilla.attr('data-locator')).toEqual(sampleProps.elementLocator);
  });
});