import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import { getLabelFromChildren } from '../../../core/utils/elementLocator';

var Label = function Label(_ref) {
  var className = _ref.className,
      htmlFor = _ref.htmlFor,
      children = _ref.children,
      elementLocator = _ref.elementLocator,
      others = _objectWithoutPropertiesLoose(_ref, ["className", "htmlFor", "children", "elementLocator"]);

  return (
    /* eslint-disable jsx-a11y/label-has-for */
    // FIXME: Remove the eslint comment above
    React.createElement("label", _extends({
      className: className,
      htmlFor: htmlFor,
      "data-locator": elementLocator || "label-" + htmlFor + "-" + getLabelFromChildren(children)
    }, others), children)
  );
};

Label.defaultProps = {
  className: '',
  elementLocator: ''
};
export default Label;