import React from 'react';
import { storiesOf } from '@storybook/react';
import Para, { ParaVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Atoms', module).addParameters({
  jest: ['Para', 'ParaVanilla']
}).addWithChapters('Para', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(ParaVanilla, {
          className: "hide-default-sample"
        }, "This is plain text");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Input Field Error Message',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return React.createElement(Para, null, "This is plain text.");
      }
    }, {
      title: 'With element locator',
      sectionFn: function sectionFn() {
        return React.createElement(Para, {
          elementLocator: "my-text"
        }, "This is plain text with element locator.");
      }
    }]
  }]
});