import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { shallow, render } from 'enzyme';
import { SelectVanilla } from '../Select';
describe('Select Component', function () {
  var input = '';
  var props = {
    id: 'dropdown-1',
    name: 'my-drop',
    elementLocator: 'my-custom-select-locator',
    onChange: function onChange() {}
  };
  test('should render correctly', function () {
    input = shallow(React.createElement(SelectVanilla, _extends({
      options: ['Option 1', 'Option 2']
    }, props)));
    expect(input).toMatchSnapshot();
  });
  test('should check the data attribute of dropdown/select', function () {
    var select = render(React.createElement(SelectVanilla, _extends({
      options: ['Option 1', 'Option 2']
    }, props)));
    expect(select.attr('data-locator')).toEqual("" + props.elementLocator);
  });
});