import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from "react";
import styled from 'styled-components';
import styles from './Textarea.style';

var Textarea = function Textarea(_ref) {
  var id = _ref.id,
      className = _ref.className,
      elementLocator = _ref.elementLocator,
      title = _ref.title,
      name = _ref.name,
      placeholder = _ref.placeholder,
      value = _ref.value,
      resize = _ref.resize,
      others = _objectWithoutPropertiesLoose(_ref, ["id", "className", "elementLocator", "title", "name", "placeholder", "value", "resize"]);

  return React.createElement("textarea", _extends({
    id: id,
    className: className,
    name: name,
    title: title,
    placeholder: placeholder,
    defaultValue: value,
    resize: resize,
    "data-locator": elementLocator || "textarea-input-" + name + "-" + id
  }, others));
};

Textarea.defaultProps = {
  className: '',
  elementLocator: '',
  title: '',
  placeholder: '',
  value: '',
  resize: 'none'
};
export default styled(Textarea).withConfig({
  displayName: "Textarea",
  componentId: "g6e5bs-0"
})(["", ";"], styles);
export { Textarea as TextareaVanilla };