import React from 'react';
import { shallow, render } from 'enzyme';
import { TextareaVanilla } from '../index';
describe('<Textarea />', function () {
  var TextareaComponent = '';
  var sampleProps = {
    id: 'textarea-1',
    name: 'my-text-area',
    elementLocator: 'my-custom-textarea-selector'
  };
  beforeEach(function () {
    TextareaComponent = shallow(React.createElement(TextareaVanilla, sampleProps));
  });
  test('should render correctly', function () {
    expect(TextareaComponent).toMatchSnapshot();
  });
  test('should check the data attribute of textarea', function () {
    var inputVanilla = render(React.createElement(TextareaVanilla, sampleProps));
    expect(inputVanilla.attr('data-locator')).toEqual(sampleProps.elementLocator);
  });
});