import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";

/**
 *
 * ArticleThumbnail
 *
 */
import React from 'react';
import styled from 'styled-components';
import styles from './ArticleThumbnail.style';
import Image from '../../atoms/Image/Image';
import Anchor from '../../atoms/Anchor';

var getAnchoredChild = function getAnchoredChild(anchorProps, children) {
  return React.createElement(Anchor, anchorProps, children);
};

var ArticleThumbnail = function ArticleThumbnail(_ref) {
  var image = _ref.image,
      readMoreContent = _ref.readMoreContent,
      children = _ref.children,
      anchorProps = _ref.anchorProps,
      otherProps = _objectWithoutPropertiesLoose(_ref, ["image", "readMoreContent", "children", "anchorProps"]);

  var thumbImage = React.createElement(Image, image);

  if (readMoreContent && anchorProps) {
    thumbImage = getAnchoredChild(anchorProps, thumbImage);
  }

  if (readMoreContent) {
    var readMoreLink = getAnchoredChild(anchorProps, readMoreContent);
    return React.createElement("div", {
      className: otherProps.className
    }, [thumbImage, children, readMoreLink]);
  }

  return React.createElement("div", {
    className: otherProps.className
  }, getAnchoredChild(anchorProps, [thumbImage, children]));
};

ArticleThumbnail.defaultProps = {
  image: {}
};
export default styled(ArticleThumbnail).withConfig({
  displayName: "ArticleThumbnail",
  componentId: "sc-1pvkf9f-0"
})(["", ";"], styles);
export { ArticleThumbnail as ArticleThumbnailVanilla };