import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react'; // import { action } from '@storybook/addon-actions';

import defaultConfig, { configV2 } from './ArticleThumbnail.mock'; // Import Styled Component to showcase variations

import ArticleThumbnail from '.';
import Para from '../../atoms/Para';
import Heading from '../../atoms/Heading'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules', module).addParameters({
  jest: ['ArticleThumbnail', 'Para', 'Heading']
}).addWithChapters('ArticleThumbnail', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement("div", {
          style: {
            width: '200px'
          }
        }, React.createElement(ArticleThumbnail, _extends({}, defaultConfig, {
          className: "hide-default-sample " + defaultConfig.className
        })));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary ArticleThumbnail Variations',
    sections: [{
      title: 'Variation Name : With whole thumb clickable',
      sectionFn: function sectionFn() {
        return React.createElement("div", {
          style: {
            width: '200px'
          }
        }, React.createElement(ArticleThumbnail, defaultConfig, React.createElement(Heading, {
          style: {
            color: 'black'
          }
        }, "Dummy Title")));
      }
    }]
  }, {
    title: 'Primary ArticleThumbnail Variations V2',
    sections: [{
      title: 'Variation Name : With Readmore, image clickable',
      sectionFn: function sectionFn() {
        return React.createElement("div", {
          style: {
            width: '200px'
          }
        }, React.createElement(ArticleThumbnail, configV2, React.createElement(React.Fragment, null, React.createElement(Heading, null, "Dummy Title"), React.createElement(Para, null, "Dummy Para"))));
      }
    }]
  }]
});